[CalendarServer-changes] [15244] twext/trunk/bin/_build.sh

source_changes at macosforge.org source_changes at macosforge.org
Wed Oct 28 08:53:12 PDT 2015


Revision: 15244
          http://trac.calendarserver.org//changeset/15244
Author:   cdaboo at apple.com
Date:     2015-10-28 08:53:12 -0700 (Wed, 28 Oct 2015)
Log Message:
-----------
Update build script dependencies.

Modified Paths:
--------------
    twext/trunk/bin/_build.sh

Modified: twext/trunk/bin/_build.sh
===================================================================
--- twext/trunk/bin/_build.sh	2015-10-28 15:52:41 UTC (rev 15243)
+++ twext/trunk/bin/_build.sh	2015-10-28 15:53:12 UTC (rev 15244)
@@ -444,7 +444,7 @@
   # value of OPENSSL_VERSION_NUBMER for use in inequality comparison.
   ruler;
 
-  local min_ssl_version="9470367";  # OpenSSL 0.9.8y
+  local min_ssl_version="9470463";  # OpenSSL 0.9.8y
 
   local ssl_version="$(c_macro openssl/ssl.h OPENSSL_VERSION_NUMBER)";
   if [ -z "${ssl_version}" ]; then ssl_version="0x0"; fi;
@@ -453,13 +453,13 @@
   if [ "${ssl_version}" -ge "${min_ssl_version}" ]; then
     using_system "OpenSSL";
   else
-    local v="0.9.8y";
+    local v="0.9.8zf";
     local n="openssl";
     local p="${n}-${v}";
 
     # use 'config' instead of 'configure'; 'make' instead of 'jmake'.
     # also pass 'shared' to config to build shared libs.
-    c_dependency -c "config" -m "47c7fb37f78c970f1d30aa2f9e9e26d8" \
+    c_dependency -c "config" -m "c69a4a679233f7df189e1ad6659511ec" \
       -p "make depend" -b "make" \
       "openssl" "${p}" \
       "http://www.openssl.org/source/${p}.tar.gz" "shared";
@@ -580,11 +580,11 @@
   echo "";
   "${pip_install}" --requirement="${requirements}";
 
-  for option in $("${bootstrap_python}" -c 'import setup; print "\n".join(setup.extras_requirements.keys())'); do
-    ruler "Preparing Python requirements for optional feature: ${option}";
+  for extra in $("${bootstrap_python}" -c 'import setup; print "\n".join(setup.extras_requirements.keys())'); do
+    ruler "Preparing Python requirements for optional feature: ${extra}";
     echo "";
-    if ! "${pip_install}" --editable="${wd}[${option}]"; then
-      echo "Feature ${option} is optional; continuing.";
+    if ! "${pip_install}" --editable="${wd}[${extra}]"; then
+      echo "Feature ${extra} is optional; continuing.";
     fi;
   done;
 
@@ -598,9 +598,9 @@
   mkdir -p "${py_ve_tools}/junk";
 
   for pkg in             \
-      setuptools-12.0.5  \
-      pip-6.0.8          \
-      virtualenv-12.0.7  \
+      setuptools-17.0  \
+      pip-7.0.3          \
+      virtualenv-13.0.3  \
   ; do
       local    name="${pkg%-*}";
       local version="${pkg#*-}";
@@ -633,8 +633,10 @@
   mkdir -p "${dev_home}/pip_downloads";
 
   "${python}" -m pip install               \
+    --disable-pip-version-check            \
     --download="${dev_home}/pip_downloads" \
     --pre --allow-all-external             \
+    --no-cache-dir                         \
     --log-file="${dev_home}/pip.log"       \
     "$@";
 }
@@ -642,8 +644,10 @@
 
 pip_install_from_cache () {
   "${python}" -m pip install                 \
+    --disable-pip-version-check              \
     --pre --allow-all-external               \
     --no-index                               \
+    --no-cache-dir                           \
     --find-links="${dev_home}/pip_downloads" \
     --log-file="${dev_home}/pip.log"         \
     "$@";
@@ -652,7 +656,9 @@
 
 pip_download_and_install () {
   "${python}" -m pip install                 \
+    --disable-pip-version-check              \
     --pre --allow-all-external               \
+    --no-cache-dir                           \
     --log-file="${dev_home}/pip.log"         \
     "$@";
 }
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20151028/ddc65261/attachment.html>


More information about the calendarserver-changes mailing list